FreeCAD Macro Copy Rotation 11.25 °

Prima prova di codice per FreeCAD

Le Macro in un sistema Windows iniziano con il path di dove si trovano # Macro Begin: C:\Users\%username%\AppData\Roaming\FreeCAD\MoveUp18mm.FCMacro, si può anche fare del semplice di testo salvato con l’estensione .FCMacro e collocarle nella giusta cartella %SystemDrive%\Users\%username%\AppData\Roaming\FreeCAD\. Le macro sono in Python.

CopyRotate.FCMacro

Effettua una copia ruotata dell’oggetto di 11,25° rispetto alla parametrizzazione degli assi definita nel codice.

import FreeCAD
import Draft

selection = FreeCADGui.Selection.getSelection()

for i in selection:

  try:

    Draft.rotate([i],11.25,FreeCAD.Vector(0.0,0.0,0.0),axis=FreeCAD.Vector(0.0,0.0,1.0),copy=True)

  except:

    continue

Utilizzo: selezionare l’oggetto che si intende ruotare e copiare ed eseguire la macro.

Lascia un commento

Inserisci i tuoi dati qui sotto o clicca su un'icona per effettuare l'accesso:

Logo WordPress.com

Stai commentando usando il tuo account WordPress.com. Chiudi sessione / Modifica )

Foto Twitter

Stai commentando usando il tuo account Twitter. Chiudi sessione / Modifica )

Foto di Facebook

Stai commentando usando il tuo account Facebook. Chiudi sessione / Modifica )

Google+ photo

Stai commentando usando il tuo account Google+. Chiudi sessione / Modifica )

Connessione a %s...